Skip to main content
GET
/
api
/
storefront
/
search
Full Search
curl --request GET \
  --url https://api.example.com/api/storefront/search \
  --header 'X-Site-ID: <x-site-id>'
{
  "query": "<string>",
  "products": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "vendor": "<string>",
      "product_type": "<string>",
      "tags": [
        "<string>"
      ],
      "price": "<string>",
      "compare_at_price": "<string>",
      "currency": "<string>",
      "images": [
        {}
      ],
      "has_variants": true,
      "options": [
        {}
      ],
      "variants": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "option1": "<string>",
          "option2": "<string>",
          "option3": "<string>",
          "price": "<string>",
          "compare_at_price": "<string>",
          "available": true,
          "in_stock": true,
          "image_url": "<string>"
        }
      ],
      "in_stock": true
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Site-ID
string
required
X-Stella-Token
string | null

Query Parameters

q
string
required
Required string length: 1 - 256
page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Full search results — same shape as the product list endpoint.

query
string
required
products
StorefrontProductResponse · object[]
required
total
integer
required
page
integer
required
limit
integer
required
pages
integer
required